The Terms And Conditions object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: false
Default: true
Default: true
{
"id": "terms-and-conditions_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"title": "title_example",
"disabled": false,
"terms": "terms_example",
"selling": true,
"buying": true
} /api/setup/terms-and-conditions/{id} Retrieve a terms and conditions
Retrieves the details of an existing terms and conditions. Supply the unique terms and conditions ID that was returned from a previous request.
Path parameters
The identifier of the terms and conditions to retrieve.
Returns
Returns the terms and conditions object if a valid identifier was provided.
curl https://api.overplane.dev/api/setup/terms-and-conditions/terms-and-conditions_abc123 \
-H "Authorization: Bearer sk_test_..." {
"id": "terms-and-conditions_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"title": "title_example",
"disabled": false,
"terms": "terms_example",
"selling": true,
"buying": true
} /api/setup/terms-and-conditions List all terms and conditionss
Returns a list of terms and conditionss. The results are sorted by creation date, with the most recently created appearing first.
Query parameters
Maximum number of objects to return. Default: 20.
Number of objects to skip for pagination. Default: 0.
Returns
A paginated list of terms and conditions objects.
curl https://api.overplane.dev/api/setup/terms-and-conditions \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "terms-and-conditions_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"title": "title_example",
"disabled": false,
"terms": "terms_example",
"selling": true,
"buying": true
}
],
"has_more": false,
"total": 1
} /api/setup/terms-and-conditions Create a terms and conditions
Creates a new terms and conditions object.
Body parameters
Default: false
Default: true
Default: true
Returns
Returns the newly created terms and conditions object if the call succeeded.
curl https://api.overplane.dev/api/setup/terms-and-conditions \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"title":"title_example"}' {
"id": "terms-and-conditions_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"title": "title_example",
"disabled": false,
"terms": "terms_example",
"selling": true,
"buying": true
} /api/setup/terms-and-conditions/{id} Update a terms and conditions
Updates the specified terms and conditions by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the terms and conditions to update.
Body parameters
Default: false
Default: true
Default: true
Returns
Returns the updated terms and conditions object.
curl https://api.overplane.dev/api/setup/terms-and-conditions/terms-and-conditions_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"title":"title_example","disabled":false}' {
"id": "terms-and-conditions_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"title": "title_example",
"disabled": false,
"terms": "terms_example",
"selling": true,
"buying": true
} /api/setup/terms-and-conditions/{id} Delete a terms and conditions
Permanently deletes a terms and conditions. This cannot be undone.
Path parameters
The identifier of the terms and conditions to delete.
Returns
Returns a confirmation that the terms and conditions has been deleted.
curl https://api.overplane.dev/api/setup/terms-and-conditions/terms-and-conditions_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "terms-and-conditions_abc123",
"deleted": true
}